import java.awt.Container;
import javax.swing.*;

public class H3AL10_2000 extends JApplet
{
// metod ve siniflara ait degiskenler
// buradaki değişkenler tüm sınıfa aittir
double x ;
int y ;
JTextArea ciktiAlani;

void metod1() //metoda x y degiskenleri girmiyor
{
x=5.5;
y=6;
// x ve y degiskenlerine yeni degerler atandı
 ciktiAlani.append("metod1 in içi : x = "+x+" y = "+y+"\n");
}

public void init()
{
ciktiAlani=new JTextArea();
Container c=getContentPane();
c.add(ciktiAlani);
x = 2.5;
y = 3;
ciktiAlani.append("metod1 in dışı : x = "+x+" y = "+y+"\n");
metod1();
ciktiAlani.append("metod1 in dışı : x = "+x+" y = "+y+"\n");

}

}

